com.informix.util

## Class TraceFlag

- java.lang.Object
- - com.informix.util.TraceFlag

    public class TraceFlag
    extends java.lang.Object

To suppress compilation of writeTrace()'s.

### Field Summary

Fields
`static boolean` `compiletrace` if true then either classic protocoltrace or trace is enabled

### Constructor Summary

Constructors
Constructor and Description
`TraceFlag()`

### Method Summary

Methods
`static boolean` `configureTracing(java.util.Properties connInfo)` This methods sets the value for compileTrace after checking the connection String
`static boolean` `isTraceEnabled()` Checks if atleast one of the logging service is enabled.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### compiletrace

    public static boolean compiletrace

if true then either classic protocoltrace or trace is enabled

### Constructor Detail

#### TraceFlag

    public TraceFlag()

### Method Detail

#### isTraceEnabled

    public static boolean isTraceEnabled()

Checks if atleast one of the logging service is enabled. This method is used through out the program. printLog method which finally prints the logging checks which logging(SLF4j or Classic) and prints accordingly.

#### configureTracing

    public static boolean configureTracing(java.util.Properties connInfo)

This methods sets the value for compileTrace after checking the connection String